--- exim.conf-SpamBlockerTechnology-v4.2.3.txt	2014-09-11 21:49:00.000000000 -0600
+++ exim.conf-SpamBlockerTechnology-v4.2.4.txt	2014-09-11 21:48:41.000000000 -0600
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.2.3-alpha1
-# September 1, 2014  17:54 (-0700)
+# SpamBlockerTechnology* powered exim.conf, Version 4.2.4-alpha2
+# September 9, 2014 03:03 (-0700)
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 19 or higher
@@ -70,6 +70,9 @@
 #Block Cracking variables
 .include_if_exists /etc/exim.blockcracking/variables.conf
 
+#Easy Spam Figher variables
+.include_if_exists /etc/exim.easy_spam_fighter/variables.conf
+
 #EDIT#3:
 # qualify_domain =
 
@@ -130,7 +133,9 @@
 acl_smtp_auth = acl_check_auth
 acl_smtp_connect = acl_connect
 acl_smtp_helo = acl_check_helo
+acl_smtp_mail = ${if ={$interface_port}{587} {accept}{acl_check_mail}}
 acl_smtp_rcpt = acl_check_recipient
+acl_smtp_dkim = ${if ={$interface_port}{587} {accept}{acl_check_dkim}}
 acl_smtp_data = acl_check_message
 
 #EDIT#14:
@@ -191,8 +196,14 @@
 
 #EDIT#24:
 acl_connect:
+  warn set acl_m_spam_assassin_has_run = 0
+  .include_if_exists /etc/exim.easy_spam_fighter/connect.conf
   accept hosts = *
 
+acl_check_mail:
+  .include_if_exists /etc/exim.easy_spam_fighter/check_mail.conf
+  accept
+
 #EDIT#24.5#
 acl_check_auth:
   drop  set acl_m_authcount = ${eval10:0$acl_m_authcount+1}
@@ -300,6 +311,8 @@
     accept senders = :
 	   domains = +relay_domains
 
+  .include_if_exists /etc/exim.easy_spam_fighter/check_rcpt.conf
+
 #EDIT#27:
   # 1st deny checks if it's a hostname or IPV4 address with dots or IPV6 address
     deny message = R1: HELO should be a FQDN or address literal (See RFC 2821 4.1.1.1)
@@ -428,9 +441,16 @@
   # an explicit error message:
   deny    message = relay not permitted
 
+
+acl_check_dkim:
+  .include_if_exists /etc/exim.easy_spam_fighter/check_dkim.conf
+  accept
+
 # ACL that is used after the DATA command (ClamAV)
 acl_check_message:
 
+  .include_if_exists /etc/exim.easy_spam_fighter/check_message.conf
+
 #EDIT#46:
 #.include_if_exists /etc/exim.clamav.conf
 
